import request from '@/utils/request'

export function getSellPage(params) {
    return request({
        url: '/admin/sell/page',
        method: 'get',
        params
    })
}

export function getSellList(params) {
    return request({
        url: '/admin/sell/list',
        method: 'get',
        params
    })
}

export function addSell(data) {
    return request({
        url: '/admin/sell/add',
        method: 'post',
        data: data
    })
}

export function editSell(data) {
    return request({
        url: '/admin/sell/update',
        method: 'post',
        data: data
    })
}

export function deleteSell(sellId) {
    return request({
        url: '/admin/sell/delete/' + sellId,
        method: 'get'
    })
}

export function cancelSell(data) {
  return request({
    url: '/admin/sell/cancel',
    method: 'post',
    data: data
  })
}
